<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
		$.ajax({
			type	: "POST",
			url	: "modul/truck/cari.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_kode").val(kode);
				$("#txt_namakd").val(data.namakd);
				$("#txt_tahun").val(data.tahun);
				$("#txt_tanggalpj").val(data.tanggalpj);
				$("#info").html("Data sudah di tampung pada tab inputan, silahkan klik");
			}
		});
	}
	
	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
			var kode = ID;
			var tahun = $("#txt_tahun").val();
		
			$.ajax({
				type	: "POST",
				url	: "modul/truck/hapus.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$("#tampil_data").load('modul/truck/tampil_data.php');
				}
			});
		}
	}

</script>
<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

echo "<table id='theList' width='100%'>
		<tr>
			<th>No.</th>
			<th>No. Polisi</th>
			<th>Nama Kendaraan</th>
			<th>Tahun Produksi</th>
			<th>Tanggal STNK</th>
			<th>Aksi</th>
		</tr>";
	
		$query = mysql_query("SELECT * FROM truk ORDER BY nopol");
		
		$no=1;
		while($r_data=mysql_fetch_array($query)){
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r_data[nopol]</td>
				<td>$r_data[nama_kd]</td>
				<td>$r_data[tahun]</td>
				<td>".jin_date_str($r_data[tanggal_pj])."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$r_data[nopol]')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' >
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[nopol]')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>					
				</td>
			</tr>";
			$no++;
		}
	echo "</table>";
?>